Package weka.associations.tertius

# Class SimpleLinkedList.LinkedListIterator

java.lang.Object
weka.associations.tertius.SimpleLinkedList.LinkedListIterator

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Enclosing class:
  `SimpleLinkedList`

public class SimpleLinkedList.LinkedListIterator extends Object implements Serializable, RevisionHandler

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LinkedListIterator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBefore(Object o)`
`String`
`getRevision()`
Returns the revision string.
`boolean`
`hasNext()`
`Object`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkedListIterator

public LinkedListIterator()

## Method Details

### hasNext

public boolean hasNext()

### next

public Object next()

### remove

public void remove()

### addBefore

public void addBefore(Object o)

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision